// #pragma GCC optimize("Ofast")

#include <iostream>
#include <bits/stdc++.h>
#include <iomanip>

#include <triangles.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;

#define all(x) x.begin(), x.end()

#ifdef DEBUG
    #define debug(x) {cout << __func__ << ":" << __LINE__ << " " << #x << " = " << x << "\n";};
    #define debugw(x) {cout << __func__ << ":" << __LINE__ << " " << x << "\n";};
#else
    #define debug(x)
    #define debugw(x)
#endif

vector<vector<int>> solve(int n) {
    if (n != 4) {
        return {};
    }

    int c = compare({{0, 1, 2}, {0, 1, 3}}, {{3, 2, 0}, {3, 2, 1}});

    if (c == 0) {
        return {
            {0, 1, 2},
            {0, 1, 3},
        };
    } else {
        return {
            {0, 3, 1},
            {0, 3, 2},
        };
    }
}

// signed main() {
    // freopen("in.txt", "r", stdin);
    // freopen("out.txt", "w", stdout);

    // ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    // cout << set_precision(8) << fixed;

    // ll T;
    // cin >> T;
    // while (T--) solve();

    // solve();
// }